Assign a ticket
curl --request POST \
--url https://back.leap.onclarity.com/api/ticket/assign/v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticket_id": 123,
"team": {
"value": 123
},
"agent": {
"value": 123
},
"handoff_reason": "<string>"
}
'import requests
url = "https://back.leap.onclarity.com/api/ticket/assign/v2"
payload = {
"ticket_id": 123,
"team": { "value": 123 },
"agent": { "value": 123 },
"handoff_reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ticket_id: 123,
team: {value: 123},
agent: {value: 123},
handoff_reason: '<string>'
})
};
fetch('https://back.leap.onclarity.com/api/ticket/assign/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"internal_id": {
"team": "<string>",
"agent": "<string>"
}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Tickets
Assign a ticket
POST
/
api
/
ticket
/
assign
/
v2
Assign a ticket
curl --request POST \
--url https://back.leap.onclarity.com/api/ticket/assign/v2 \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"ticket_id": 123,
"team": {
"value": 123
},
"agent": {
"value": 123
},
"handoff_reason": "<string>"
}
'import requests
url = "https://back.leap.onclarity.com/api/ticket/assign/v2"
payload = {
"ticket_id": 123,
"team": { "value": 123 },
"agent": { "value": 123 },
"handoff_reason": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ticket_id: 123,
team: {value: 123},
agent: {value: 123},
handoff_reason: '<string>'
})
};
fetch('https://back.leap.onclarity.com/api/ticket/assign/v2', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"created_at": "2023-11-07T05:31:56Z",
"internal_id": {
"team": "<string>",
"agent": "<string>"
}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}{
"code": "<string>",
"status": "error",
"message": "<string>",
"extra": {}
}Authorizations
Your organization API key (it starts with anek_org_). The same key works on the Voice API and the Support API. See Authentication.
Body
application/json